<?php
/*
Plugin Name: Google Related Keywords Generator
Plugin URI: https://premium.divcoder.com/
Description: Generate tags appropriate your posts with Google Related Keywords Generator Plugin.
Author: 20script
Version: 1.1.0
Author URI: https://www.20script.ir
Authoras URI: https://premium.divcoder.com
Domain Path: /languages
*/

if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}

//Plugin DIR URL
define( 'GRKG_URL', plugin_dir_url( __FILE__ ) );
//Plugin DIR Path
define( 'GRKG_DIR', plugin_dir_path( __FILE__ ) );

//Admin Styles
add_action( 'admin_init', 'GRKG_echo_css' );

function GRKG_echo_css() {
	//Add CSS Style for Admin Panel
   wp_enqueue_style( 'GRKG-style', GRKG_URL."admin/assets/css/style.css",array(), "1.0.0" );
}

/*
* Load Admin Settings
*/
include GRKG_DIR ."admin/index.php";

/*
* Load Functions
*/
include GRKG_DIR ."functions/GRKG-functions.php";

/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function GRKG_language() {
  load_plugin_textdomain( 'GRKG-plugin', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
}

//Load Plugin Functions
add_action( 'plugins_loaded', 'GRKG_language' );

/*
* Default Options for Plugin
*/
function GRKG_activation() {

	add_option("GRKG_start","0");
	add_option("GRKG_locale","");
	add_option("GRKG_limit","10");
	
	add_option("GRKG_start_woo","0");
	add_option("GRKG_start_bbp","0");
	
}

//Register Options
register_activation_hook( __FILE__, 'GRKG_activation' );

// Plugin WP-Admin Settings Text
add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'GRKG_plugin_page');

function GRKG_plugin_page( $links ) {
    $links[] = '<a href="' . admin_url( 'options-general.php?page=GRKG_plugin_dashboard' ) . '">' . __('Settings') . '</a>';
    return $links;
}